@mixin circle($size) {
  width: $size;
  height: $size;
  border-radius: 100%;
}

@mixin linkChangeColor($color-01, $color-02) {
  color: $color-01;
  &:hover, &:active {
    color: $color-02;
  }
}

@mixin absPosition($top: auto, $right: auto, $bottom: auto, $left: auto) {
  position: absolute;
  top: $top;
  right: $right;
  bottom: $bottom;
  left: $left;
}

@mixin center-center {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

@mixin h-center {
  position: absolute;
  left: 50%;
  transform: translatex(-50%);
}

@mixin v-center {
  position: absolute;
  top: 50%;
  transform: translatey(-50%);
}

@mixin marg-center {
  margin-left: auto;
  margin-right: auto;
}

@mixin marg-null{
  margin-left: 0;
  margin-right: 0;
}


@mixin clearfix() {
  &:before,
  &:after {
    content: "";
    display: table;
  }
  &:after {
    clear: both;
  }
}

@mixin tooltip-shadow {
  box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12), 0 2px 4px -1px rgba(0, 0, 0, 0.3);
}

$browser-context: 16;

@function em($pixels, $context: $browser-context) {
  @if (unitless($pixels)) {
    $pixels: $pixels * 1px;
  }

  @if (unitless($context)) {
    $context: $context * 1px;
  }

  @return $pixels / $context * 1em;
}

@mixin font-size($pixels, $context: 16px){
  font-size: #{$pixels/$context}em
}

@keyframes fadeIn {
  0% {
    opacity: 0
  }

  100% {
    opacity: 1
  }
}

%animated {
  animation-duration: .6s;
  animation-fill-mode: both
}

%fadeIn {
  animation-name: fadeIn
}

@mixin cstAnim($prop: all) {
  transition: .3s ease-in-out $prop;
}
